import { publicProcedure, router } from "../index";

import { dashboardRouter } from "./dashboard";
import { domainsRouter } from "./domains";
import { notesRouter } from "./notes";
import { serversRouter } from "./servers";
import { servicesRouter } from "./services";

export const appRouter = router({
  healthCheck: publicProcedure.query(() => {
    return "OK";
  }),
  dashboard: dashboardRouter,
  servers: serversRouter,
  services: servicesRouter,
  domains: domainsRouter,
  notes: notesRouter,
});
export type AppRouter = typeof appRouter;
